Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyQueue

    java.lang.Object
      org.jboss.mq.SpyDestination
          org.jboss.mq.SpyQueue

All Implemented Interfaces:
  javax.jms.Destination, javax.jms.Queue, Referenceable, Serializable

Direct Known Subclasses:
  SpyTemporaryQueue

public class SpyQueue
extends SpyDestination
implements Serializable, javax.jms.Queue, Referenceable

This class implements javax.jms.Queue

Version:
  $Revision: 1.6 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), David Maplesden (David.Maplesden@orion.co.nz), Adrian Brock
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.mq.SpyDestination
`hash, name, NULL, OBJECT, SPY_QUEUE, SPY_TEMP_QUEUE, SPY_TEMP_TOPIC, SPY_TOPIC`

Constructor Summary
`SpyQueue(String queueName)` Create a new SpyQueue

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getQueueName()`
`Reference` | `getReference()`
`String` | `toString()`

Methods inherited from class org.jboss.mq.SpyDestination
`getName, hashCode, readDest, writeDest`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpyQueue

    public SpyQueue(String queueName)

  Create a new SpyQueue

Parameters:
  `queueName` - the queue name

Method Detail

### getQueueName

    public String getQueueName()

  Specified by:
    `getQueueName` in interface `javax.jms.Queue`

### getReference

    public Reference getReference()
                           throws NamingException

  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

### toString

    public String toString()

  Specified by:
    `toString` in interface `javax.jms.Queue`

### equals

    public boolean equals(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.